> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/list-account.md).

# List Account

Use this endpoint to retrieve information about your sub accounts. You can filter by email, creation date, type, name, or status. The results are paginated and ordered by creation date<br>

| Environment | Method | URL                                                  |
| ----------- | ------ | ---------------------------------------------------- |
| Development | GET    | <https://devo.finnet.co.id/was-adapter/account/list> |
| Production  | GET    | <https://live.finnet.co.id/was-adapter/account/list> |

### Header Request <a href="#body-request" id="body-request"></a>

| Name          | Type   | Mandatory | Description                                                                                                                           |
| ------------- | ------ | --------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | String | M         | <p>Represents Basic Authentication.</p><p>e.g. Basic dW5kZWZpbmVkOnBhc3N3b3Jk</p>                                                     |
| accept        | String | M         | Mandatory header to specify the response format. Must be set to `application/json` so the server returns the response in JSON format. |

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="75">No</th><th>Name</th><th width="105">Type</th><th width="121">Mandatory</th><th width="125">Min Length</th><th width="125">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>email</td><td>array of string</td><td>O</td><td>5</td><td>255 (each item)</td><td><strong>Filter by account email list.</strong> If not provided, all emails will be returned.</td></tr><tr><td>2</td><td>status</td><td>array of string</td><td>O</td><td>1</td><td>25 (each item)</td><td><strong>Filter by account status.</strong><br>Valid values: <code>INVITED</code>, <code>REGISTERED</code>, <code>AWAITING_DOCS</code>, <code>LIVE</code>, <code>SUSPENDED</code></td></tr><tr><td>3</td><td>public_profile.business_name</td><td>String</td><td>O</td><td>1</td><td>512</td><td><strong>Filter by business name (public profile)</strong> used during account creation.</td></tr><tr><td>4</td><td>type</td><td>String</td><td>O</td><td>5</td><td>15</td><td><strong>Filter by account type.</strong><br>Valid values: <code>MANAGED</code>, <code>OWNED</code></td></tr><tr><td>5</td><td>created[gte]</td><td>string (date-time)</td><td>O</td><td>24</td><td>24</td><td>Start time filter based on the account creation date.</td></tr><tr><td>6</td><td>created[lte]</td><td>string (date-time)</td><td>O</td><td>24</td><td>24</td><td>End time filter based on the account creation date.</td></tr><tr><td>7</td><td>updated[gte]</td><td>string (date-time)</td><td>O</td><td>24</td><td>24</td><td>Start time filter based on the account last updated date.</td></tr><tr><td>8</td><td>updated[lte]</td><td>string (date-time)</td><td>O</td><td>24</td><td>24</td><td>End time filter based on the account last updated date.</td></tr><tr><td>9</td><td>limit</td><td>number</td><td>O</td><td>1</td><td>50</td><td><strong>Maximum number of records per request.</strong><br>Min: 1 • Max: 50 • Default: 10</td></tr><tr><td>10</td><td>before_id</td><td>String</td><td>O</td><td>1</td><td>36</td><td>Next item ID for pagination.</td></tr><tr><td>11</td><td>after_id</td><td>String</td><td>O</td><td>1</td><td>36</td><td>Previous item ID for pagination.</td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
curl --request GET \
  --url ' https://devo.finnet.co.id/was-adapter/list/account?email=kirana%finnet.com&public_profile.business_name=PT%20Satu%20Dua%20Tiga&type=OWNED&limit=10' \
  --header 'accept: application/json' \
  --header 'authorization: Basic YXNkYXNkOnBhc3N3b3Jk'
```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="74">No</th><th width="128">Name</th><th width="115">Type</th><th width="119">Mandatory</th><th width="123">Min Length</th><th>Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>data</td><td>array of object</td><td>M</td><td></td><td></td><td>List of returned accounts</td></tr><tr><td>2</td><td>data[].id</td><td>String</td><td>M</td><td></td><td>36</td><td>Unique account identifier</td></tr><tr><td>3</td><td>data[].created</td><td>String (date-time)</td><td>M</td><td></td><td>24</td><td><strong>Account creation date and time</strong> (ISO 8601)</td></tr><tr><td>4</td><td>data[].updated</td><td>String (date-time)</td><td>M</td><td></td><td>240</td><td><strong>Account last updated date and time</strong></td></tr><tr><td>5</td><td>data[].type</td><td>String</td><td>M</td><td></td><td>15</td><td><strong>Account type</strong><br>Valid values: <code>MANAGED</code>, <code>OWNED</code></td></tr><tr><td>6</td><td>data[].email</td><td>String</td><td>M</td><td></td><td>255</td><td>Account email address</td></tr><tr><td>7</td><td>data[].public_profile</td><td>Object</td><td>M</td><td></td><td>512</td><td><strong>Public profile information of the account</strong></td></tr><tr><td>8</td><td>data[].public_profile.business_name</td><td>String</td><td>M</td><td>1</td><td>255</td><td><strong>Business name / public profile name</strong></td></tr><tr><td>9</td><td>data[].public_profile.description</td><td>String</td><td>O</td><td>1</td><td>500</td><td><strong>Short business description</strong></td></tr><tr><td>10</td><td>data[].country</td><td>String</td><td>M</td><td>2</td><td>2</td><td><strong>Country code</strong> (ISO 3166-1 alpha-2)</td></tr><tr><td>11</td><td>data[].status</td><td>String</td><td>M</td><td></td><td></td><td><strong>Account status</strong><br>Valid values: <code>INVITED</code>, <code>REGISTERED</code>, <code>AWAITING_DOCS</code>, <code>LIVE</code>, <code>SUSPENDED</code></td></tr><tr><td>12</td><td>has_more</td><td>boolean</td><td>M</td><td></td><td></td><td><strong>Indicates whether more data is available</strong> (pagination)</td></tr><tr><td>13</td><td>links</td><td>array of object</td><td>M</td><td></td><td></td><td>Pagination link information</td></tr><tr><td>14</td><td>links[].href</td><td>String</td><td>M</td><td></td><td></td><td>Pagination URL</td></tr><tr><td>15</td><td>links[].rel</td><td>String</td><td>M</td><td></td><td>20</td><td><strong>Pagination link relation</strong> (example: <code>next</code>, <code>prev</code>)</td></tr><tr><td>16</td><td>links[].method</td><td>String</td><td>M</td><td></td><td>10</td><td>HTTP method for pagination</td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "data": [
    {
      "id": "123asdasdnj1231wesa",
      "created": "2025-02-01T10:00:00Z",
      "updated": "2025-02-01T10:00:00Z",
      "type": "OWNED",
      "email": "kirana@finnet.com",
      "public_profile": {
        "business_name": "PT Satu dua"
      },
      "status": "LIVE"
    },
    {
      "id": "123asdasdnj1231wes2",
      "created": "2025-03-22T09:15:00Z",
      "updated": "2025-03-22T09:30:00Z",
      "type": "MANAGED",
      "email": "kirana@finpay.com",
      "public_profile": {
        "business_name": "PT 3 4 5"
      },
      "status": "LIVE"
    }
  ],
  "has_more": true,
  "links": [
    {
      "href": "/v2/accounts?after_id=623ace8270bbddf93816b3g1",
      "rel": "next",
      "method": "GET"
    }
  ]
} 
```

#### Sample Response (Negative) <a href="#sample-response" id="sample-response"></a>

```
{
    "error_code": "API_VALIDATION_ERROR",
    "message": "There was an error with the format submitted to the server.",
    "errors": [
        {
            "field": [
                "limit"
            ],
            "location": "query",
            "messages": [
                "\"limit\" must be larger than or equal to 1"
            ],
            "types": [
                "number.min"
            ]
        }
    ]
}
```

### List Account HTTP Status Code <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="71">No</th><th width="172">HTTP Status Code</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>Success with Response Body Message</td></tr><tr><td>2</td><td>400</td><td>[ <code>API_VALIDATION_ERROR</code>, <code>INVALID_CONFIGURATION</code>, <code>INVALID_JSON_FORMAT</code>, <code>TYPE_AND_CONFIGURATION_CONFLICT</code>, <code>INVALID_SOURCE_OR_DESTINATION_ERROR</code>, <code>INSUFFICIENT_BALANCE</code>, <code>INVALID_FEE_AMOUNT</code>, <code>DUPLICATE_ERROR</code>, <code>INVALID_AMOUNT</code>, <code>INSUFFICIENT_ACCOUNT_HOLDER_DATA</code>, <code>MISMATCH_PAYLOAD_FOR_REFERENCE</code>, <code>INVALID_URL_FORMAT</code> ]</td></tr><tr><td>3</td><td>404</td><td>[ <code>DESTINATION_ACCOUNT_NOT_FOUND</code>, <code>DATA_NOT_FOUND</code>, <code>CALLBACK_AUTHENTICATION_TOKEN_NOT_FOUND_ERROR</code> ]</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/list-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
